We previously broke the news to our respected readers of a low-level bootrom exploit which would enable jailbreaking on iOS 4.1 and beyond with all versions of the iPod touch, iPhone and of course, iPad! This exploit was special in a way because Apple will not be able to patch the exploit with a software update, instead it will require Apple to release entirely revised hardware for iPhone, iPad and iPod touch and we all know that we are at least 6 months away from any hardware revisions.

Continue reading... »